#
# spec file for package perl-Net-Ident
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Net-Ident
Version:        1.24
Release:        4.5
%define cpan_name Net-Ident
Summary:        lookup the username on the remote end of a TCP/IP connection
License:        GPL-1.0+ or Artistic-1.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Net-Ident/
Source:         http://www.cpan.org/authors/id/T/TO/TODDR/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
You can either use the simple interface, which does one ident lookup at a
time, or use the asynchronous interface to perform (possibly) many
simultaneous lookups, or simply continue serving other things while the
lookup is proceeding.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f -print0 | xargs -0 chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
* Tue Apr 14 2015 coolo@suse.com
- updated to 1.24
  see /usr/share/doc/packages/perl-Net-Ident/Changes
  1.24 Sun Dec 14 2014
  - RT 79165 - Fix for Strawberry Perl
  - Tidy code base for conformity of future patches
* Wed Mar 27 2013 stefan.jakobs@rus.uni-stuttgart.de
- remove 'BuildRequires: perl-macros' from spec file, because perl
  included in openSUSE > 1210 deprecates perl-macros which causes a
  build failure.
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Tue Jul 27 2010 chris@computersalat.de
- update to 1.23
  - Setting values for read only tied hash %%! is illegal. removing code.
- 1.22 Fri Jun 11 09:00:00 CST 2010
  - Remove Apache (mod_perl) as a dep for this module
- 1.21 Fri Jun 11 01:00:00 CST 2010
  - Move sub around to fix prototyping bug.
  - Remove broken ident hosts from list so tests don't break. Right now
    i know of no working public ident hosts. Patches welcome!
  - Update Makefile.PL with new options
  - Add META.yml to module
  - use %%! to determine if error was EINPROGRESS to function in other languages
- recreated by cpanspec 1.78
- noarch pkg
* Sun Mar 21 2010 chris@computersalat.de
- initial package 1.20
